%define mname pygpgme

Name:           python-gpgme
Version:        0.3
Release:        %mkrel 10
Summary:        Python module for working with OpenPGP messages
License:        LGPLv2+
Group:          Development/Python
# Original upstream on Launchpad is dead, now maintained on Pagure
URL:            https://pagure.io/pygpgme
Source0:        https://pypi.python.org/packages/source/p/%{mname}/%{mname}-%{version}.tar.gz

# Patches from new upstream
Patch0001:      0001-reflect-2.1-reporting-for-key-imports.patch
Patch0002:      0002-passphrase_cb-is-deprecated.patch
Patch0003:      0003-handle-generic-error-when-no-passphrase-callback-pre.patch
Patch0004:      0004-add-pubkey_algo-and-hash_algo-attributes-to-signatur.patch
Patch0005:      0005-add-ENCRYPT_NO_ENCRYPT_TO-constant.patch
Patch0006:      0006-ignore-STATUS_KEY_CONSIDERED-when-editing.patch


BuildRequires:  pkgconfig(python)
BuildRequires:  gpgme-devel

# Do not check .so files in the pythonX_sitearch directory for provides
%global __provides_exclude_from ^(%{python2_sitearch}/.*\\.so|%{python3_sitearch}/.*\\.so)$

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%package -n python3-gpgme
Summary:	Python 3 module for working with OpenPGP messages
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-gpgme
PyGPGME is a Python 3 module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%prep
%autosetup -n %{mname}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

# No need to ship the tests
rm -rf %{buildroot}%{python2_sitearch}/gpgme/tests/
rm -rf %{buildroot}%{python3_sitearch}/gpgme/tests/

%check
# Use the installed gpgme because it has the built compiled module
mv gpgme gpgme.bak
PYTHONPATH=%{buildroot}%{python2_sitearch} GPG_AGENT_INFO= %{__python2} test_all.py -v || :
PYTHONPATH=%{buildroot}%{python3_sitearch} GPG_AGENT_INFO= %{__python3} test_all.py -v || :


%files
%doc README examples tests
%{python2_sitearch}/*

%files -n python3-gpgme
%doc README examples tests
%{python3_sitearch}/*



%changelog
* Fri Feb 17 2017 ngompa <ngompa> 0.3-10.mga6
+ Revision: 1086548
- Synchronize patch set with Fedora

* Tue Feb 16 2016 umeabot <umeabot> 0.3-9.mga6
+ Revision: 962203
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 0.3-8.mga6
+ Revision: 888468
- Rebuild for new python3 (3.5.x)

* Wed Oct 15 2014 umeabot <umeabot> 0.3-7.mga5
+ Revision: 749056
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3-6.mga5
+ Revision: 728647
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3-5.mga5
+ Revision: 688062
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3-4.mga5
+ Revision: 628671
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3-3.mga4
+ Revision: 543582
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3-2.mga4
+ Revision: 498704
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.3-1.mga4
+ Revision: 474118
- update to 0.3, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.1-5.mga3
+ Revision: 378954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 ahmad <ahmad> 0.1-4.mga1
+ Revision: 93847
- bump the rel to smoothen upgrades from mdv 2010.1

* Tue Mar 29 2011 kharec <kharec> 0.1-1.mga1
+ Revision: 78870
- imported package python-gpgme

